### Method

# GtkSource StyleSchemeManager get_scheme_ids

#### Declaration [src]

    const gchar* const*
    gtk_source_style_scheme_manager_get_scheme_ids (
      GtkSourceStyleSchemeManager* manager
    )

#### Description [src]

Returns the ids of the available style schemes.

Gets property | `GtkSource.StyleSchemeManager:scheme-ids`

#### Return value

Type: An array of `utf8`

a `NULL`-terminated array of strings containing the ids of the available style schemes or `NULL` if no style scheme is available. The array is sorted alphabetically according to the scheme name. The array is owned by the `manager` and must not be modified.

The array is `NULL`-terminated.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.